=== debian/changelog ===
dino-im (0.0.git20180130-1ubuntu0.1) bionic-security; urgency=high

  * Cherry pick upstream security fixes (LP: #1866113)
    - SECURITY UPDATE: Fix check of source of a carbons message (CVE-2019-16235)
    - SECURITY UPDATE: Check roster push authorization (CVE-2019-16236)
    - SECURITY UPDATE: Fix check of source of MAM message (CVE-2019-16237)
  * Accept IV sizes of 12 in addition to 16 to enable reading messages
    sent from clients using 12-byte IVs again (LP: #1866115)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Mar 2020 15:20:07 +0100

dino-im (0.0.git20180130-1) unstable; urgency=medium

  * New upstream git snapshot
  * First upload to unstable
  * Move packaging to Debian XMPP Maintainers, use salsa.debian.org
  * Bump standards version

 -- W. Martin Borgert <debacle@debian.org>  Tue, 30 Jan 2018 22:42:17 +0000

dino-im (0.0.git20171205-1) experimental; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Dec 2017 22:00:30 +0000

dino-im (0.0.git20171117-1) experimental; urgency=medium

  * New upstream git snapshot
  * Add some useful recommends

 -- W. Martin Borgert <debacle@debian.org>  Sat, 18 Nov 2017 13:40:16 +0000

dino-im (0.0.git20171101-1) experimental; urgency=medium

  * New upstream git snapshot
  * dino-im depends on dino-im-common (Closes: #880716)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 04 Nov 2017 18:35:51 +0000

dino-im (0.0.git20171023-1) experimental; urgency=medium

  * Initial release. (Closes: #860055)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 23 Oct 2017 21:56:37 +0000
