=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	SHARED_SIGNAL_PROTOCOL=1 ./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/dino-im --bindir=/usr/bin

override_dh_auto_clean:
	rm -rf build/ Makefile
