## dino-im 0.0.git20180805

=== libdino/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
     src/service/message_storage.vala
     src/service/module_manager.vala
     src/service/muc_manager.vala
+    src/service/notification_events.vala
     src/service/presence_manager.vala
     src/service/roster_manager.vala
     src/service/stream_interactor.vala
