## dino-im 0.0.git20180904

=== debian/changelog ===
dino-im (0.0.git20180904-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #907935)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 04 Sep 2018 20:02:20 +0000

dino-im (0.0.git20180805-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Sun, 12 Aug 2018 00:06:25 +0000

dino-im (0.0.git20180603-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Jun 2018 17:48:50 +0000

dino-im (0.0.git20180430-1) unstable; urgency=medium

  * New upstream git snapshot
  * Bump standards version and dh compat

 -- W. Martin Borgert <debacle@debian.org>  Tue, 01 May 2018 20:49:49 +0000

dino-im (0.0.git20180310-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Mar 2018 22:52:15 +0000
