=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,7 @@
 if(PLUGIN_ENABLED_http-files)
   add_subdirectory(http-files)
 endif(PLUGIN_ENABLED_http-files)
+
+if(PLUGIN_ENABLED_notification-sound)
+  add_subdirectory(notification-sound)
+endif(PLUGIN_ENABLED_notification-sound)
