=== debian/changelog ===
dino-im (0.0.git20180921-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #909488)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Oct 2018 18:47:42 +0000
