=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dino-im
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
 	Dominik George <nik@naturalnet.de>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	cmake,
 	dh-exec,
 	gettext,
+	libcanberra-dev,
 	libgcrypt20-dev,
 	libgee-0.8-dev,
 	libglib2.0-dev,
@@ -20,7 +20,7 @@
 	libsqlite3-dev,
 	ninja-build,
 	valac
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: https://github.com/dino/dino
 Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
@@ -43,6 +43,7 @@
 
 Package: dino-im-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: modern XMPP client - common files
  Dino is a modern XMPP client with a nice and clean look.
