=== debian/changelog ===
dino-im (0.0.git20181120-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Nov 2018 09:26:25 +0000

dino-im (0.0.git20181102-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #909488)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Nov 2018 23:46:31 +0000
