=== main/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
 set(RESOURCE_LIST
     icons/dino-changes-prevent-symbolic.svg
     icons/dino-double-tick-symbolic.svg
+    icons/dino-qr-code-symbolic.svg
+    icons/dino-party-popper-symbolic.svg
     icons/dino-status-away.svg
     icons/dino-status-chat.svg
     icons/dino-status-dnd.svg
@@ -97,10 +99,7 @@
     src/ui/contact_details/muc_config_form_provider.vala
     src/ui/conversation_list_titlebar.vala
     src/ui/global_search.vala
-    src/ui/conversation_selector/chat_row.vala
     src/ui/conversation_selector/conversation_row.vala
-    src/ui/conversation_selector/groupchat_pm_row.vala
-    src/ui/conversation_selector/groupchat_row.vala
     src/ui/conversation_selector/list.vala
     src/ui/conversation_selector/view.vala
     src/ui/conversation_summary/chat_state_populator.vala
@@ -164,6 +163,7 @@
 
     data/icons/dino-changes-prevent-symbolic.svg
     data/icons/dino-double-tick-symbolic.svg
+    data/icons/dino-qr-code-symbolic.svg
     data/icons/dino-tick-symbolic.svg
 DESTINATION
     ${ICON_INSTALL_DIR}/hicolor/scalable/status
