=== plugins/omemo/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     GModule
     GObject
     GTK3
+    Soup
 )
 
 set(RESOURCE_LIST
@@ -38,6 +39,8 @@
     src/own_notifications.vala
     src/encrypt_state.vala
     src/encryption_list_entry.vala
+    src/file_provider.vala
+    src/file_sender.vala
     src/manage_key_dialog.vala
     src/manager.vala
     src/message_flag.vala
