=== debian/changelog ===
dino-im (0.0.git20181129-1+deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:21:28 +0800

dino-im (0.0.git20181129-1+deb10u1) buster-security; urgency=high

  * Fix check of source of a carbons message (CVE-2019-16235)
  * Check roster push authorization (CVE-2019-16236)
  * Fix check of source of MAM message (CVE-2019-16237)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 13 Sep 2019 19:00:21 +0000

dino-im (0.0.git20181129-1) unstable; urgency=medium

  * New upstream git snapshot

 -- W. Martin Borgert <debacle@debian.org>  Tue, 04 Dec 2018 22:27:07 +0000
