=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	libgpgme-dev,
 	libgtk-3-dev (>= 3.22),
 	libnotify-dev,
+	libqrencode-dev,
 	libsignal-protocol-c-dev,
 	libsoup2.4-dev,
 	libsqlite3-dev,
